Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDCONSENTvalues

    java.lang.Object
      java.lang.Enum<CDCONSENTvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDCONSENTvalues

All Implemented Interfaces:
  Serializable, Comparable<CDCONSENTvalues>

    public enum CDCONSENTvalues

extends Enum<CDCONSENTvalues>

Java class for CD-CONSENTvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-CONSENTvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="local"/>
         <enumeration value="prospective"/>
         <enumeration value="retrospective"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`LOCAL`
`PROSPECTIVE`
`RETROSPECTIVE`

Method Summary
`static CDCONSENTvalues` | `fromValue(String v)`
`String` | `value()`
`static CDCONSENTvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDCONSENTvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL

    public static final CDCONSENTvalues LOCAL

### PROSPECTIVE

    public static final CDCONSENTvalues PROSPECTIVE

### RETROSPECTIVE

    public static final CDCONSENTvalues RETROSPECTIVE

Method Detail

### values

    public static CDCONSENTvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDCONSENTvalues c : CDCONSENTvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDCONSENTvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDCONSENTvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.